zenilib: __DRIdri2LoaderExtensionRec Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
__DRIdri2LoaderExtensionRec Struct Reference

`#include <dri_interface.h>`

## Public Attributes

__DRIextension | base
void(* | flushFrontBuffer )(__DRIdrawable *driDrawable, void *loaderPrivate)
__DRIbuffer *(* | getBuffers )(__DRIdrawable *driDrawable, int *width, int *height, unsigned int *attachments, int count, int *out_count, void *loaderPrivate)
__DRIbuffer *(* | getBuffersWithFormat )(__DRIdrawable *driDrawable, int *width, int *height, unsigned int *attachments, int count, int *out_count, void *loaderPrivate)

## Detailed Description

Definition at line 707 of file dri_interface.h.

## Member Data Documentation

__DRIextension __DRIdri2LoaderExtensionRec::base

Definition at line 708 of file dri_interface.h.

void(* __DRIdri2LoaderExtensionRec::flushFrontBuffer)(__DRIdrawable *driDrawable, void *loaderPrivate)

Flush pending front-buffer rendering

Any rendering that has been performed to the `__DRI_BUFFER_FAKE_FRONT_LEFT` will be flushed to the `__DRI_BUFFER_FRONT_LEFT`.

Parameters

  driDrawable | Drawable whose front-buffer is to be flushed
  loaderPrivate | Loader's private data that was previously passed into __DRIdri2ExtensionRec::createNewDrawable

Definition at line 726 of file dri_interface.h.

__DRIbuffer*(* __DRIdri2LoaderExtensionRec::getBuffers)(__DRIdrawable *driDrawable, int *width, int *height, unsigned int *attachments, int count, int *out_count, void *loaderPrivate)

Definition at line 710 of file dri_interface.h.

__DRIbuffer*(* __DRIdri2LoaderExtensionRec::getBuffersWithFormat)(__DRIdrawable *driDrawable, int *width, int *height, unsigned int *attachments, int count, int *out_count, void *loaderPrivate)

Get list of buffers from the server

Gets a list of buffer for the specified set of attachments. Unlike `::getBuffers`, this function takes a list of attachments paired with opaque `unsigned` `int` value describing the format of the buffer. It is the responsibility of the caller to know what the service that allocates the buffers will expect to receive for the format.

Parameters

  driDrawable | Drawable whose buffers are being queried.
  width | Output where the width of the buffers is stored.
  height | Output where the height of the buffers is stored.
  attachments | List of pairs of attachment ID and opaque format requested for the drawable.
  count | Number of attachment / format pairs stored in `attachments`.
  loaderPrivate | Loader's private data that was previously passed into __DRIdri2ExtensionRec::createNewDrawable.

Definition at line 748 of file dri_interface.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/GL/internal/dri_interface.h